stable.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: stable@vger.kernel.org
Cc: "Greg Kroah-Hartman" <gregkh@linuxfoundation.org>,
	patches@lists.linux.dev, "Georg Müller" <georgmueller@gmx.net>,
	"Ian Rogers" <irogers@google.com>,
	"Adrian Hunter" <adrian.hunter@intel.com>,
	"Alexander Shishkin" <alexander.shishkin@linux.intel.com>,
	"Ingo Molnar" <mingo@redhat.com>, "Jiri Olsa" <jolsa@kernel.org>,
	"Mark Rutland" <mark.rutland@arm.com>,
	"Masami Hiramatsu" <mhiramat@kernel.org>,
	"Namhyung Kim" <namhyung@kernel.org>,
	"Peter Zijlstra" <peterz@infradead.org>,
	"Arnaldo Carvalho de Melo" <acme@redhat.com>,
	"Sasha Levin" <sashal@kernel.org>
Subject: [PATCH 5.10 134/201] perf test uprobe_from_different_cu: Skip if there is no gcc
Date: Wed,  9 Aug 2023 12:42:16 +0200	[thread overview]
Message-ID: <20230809103648.212376054@linuxfoundation.org> (raw)
In-Reply-To: <20230809103643.799166053@linuxfoundation.org>

From: Georg Müller <georgmueller@gmx.net>

[ Upstream commit 98ce8e4a9dcfb448b30a2d7a16190f4a00382377 ]

Without gcc, the test will fail.

On cleanup, ignore probe removal errors. Otherwise, in case of an error
adding the probe, the temporary directory is not removed.

Fixes: 56cbeacf14353057 ("perf probe: Add test for regression introduced by switch to die_get_decl_file()")
Signed-off-by: Georg Müller <georgmueller@gmx.net>
Acked-by: Ian Rogers <irogers@google.com>
Cc: Adrian Hunter <adrian.hunter@intel.com>
Cc: Alexander Shishkin <alexander.shishkin@linux.intel.com>
Cc: Georg Müller <georgmueller@gmx.net>
Cc: Ingo Molnar <mingo@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Mark Rutland <mark.rutland@arm.com>
Cc: Masami Hiramatsu <mhiramat@kernel.org>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Link: https://lore.kernel.org/r/20230728151812.454806-2-georgmueller@gmx.net
Link: https://lore.kernel.org/r/CAP-5=fUP6UuLgRty3t2=fQsQi3k4hDMz415vWdp1x88QMvZ8ug@mail.gmail.com/
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
 tools/perf/tests/shell/test_uprobe_from_different_cu.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
index 00d2e0e2e0c28..319f36ebb9a40 100644
--- a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
+++ b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
@@ -4,6 +4,12 @@
 
 set -e
 
+# skip if there's no gcc
+if ! [ -x "$(command -v gcc)" ]; then
+        echo "failed: no gcc compiler"
+        exit 2
+fi
+
 temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX)
 
 cleanup()
@@ -11,7 +17,7 @@ cleanup()
 	trap - EXIT TERM INT
 	if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then
 		echo "--- Cleaning up ---"
-		perf probe -x ${temp_dir}/testfile -d foo
+		perf probe -x ${temp_dir}/testfile -d foo || true
 		rm -f "${temp_dir}/"*
 		rmdir "${temp_dir}"
 	fi
-- 
2.40.1




  parent reply	other threads:[~2023-08-09 11:39 UTC|newest]

Thread overview: 207+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-09 10:40 [PATCH 5.10 000/201] 5.10.190-rc1 review Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 001/201] KVM: s390: pv: fix index value of replaced ASCE Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 002/201] io_uring: dont audit the capability check in io_uring_create() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 003/201] gpio: tps68470: Make tps68470_gpio_output() always set the initial value Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 004/201] btrfs: fix race between quota disable and relocation Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 005/201] btrfs: fix extent buffer leak after tree mod log failure at split_node() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 006/201] i2c: Delete error messages for failed memory allocations Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 007/201] i2c: Improve size determinations Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 008/201] i2c: nomadik: Remove unnecessary goto label Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 009/201] i2c: nomadik: Use devm_clk_get_enabled() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 010/201] i2c: nomadik: Remove a useless call in the remove function Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 011/201] PCI/ASPM: Return 0 or -ETIMEDOUT from pcie_retrain_link() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 012/201] PCI/ASPM: Factor out pcie_wait_for_retrain() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 013/201] PCI/ASPM: Avoid link retraining race Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 014/201] dlm: cleanup plock_op vs plock_xop Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 015/201] dlm: rearrange async condition return Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 016/201] fs: dlm: interrupt posix locks only when process is killed Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 017/201] drm/ttm: add ttm_bo_pin()/ttm_bo_unpin() v2 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 018/201] drm/ttm: never consider pinned BOs for eviction&swap Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 019/201] tracing: Show real address for trace event arguments Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 020/201] pwm: meson: Simplify duplicated per-channel tracking Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 021/201] pwm: meson: fix handling of period/duty if greater than UINT_MAX Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 022/201] ext4: fix to check return value of freeze_bdev() in ext4_shutdown() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 023/201] phy: qcom-snps: Use dev_err_probe() to simplify code Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 024/201] phy: qcom-snps: correct struct qcom_snps_hsphy kerneldoc Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 025/201] phy: qcom-snps-femto-v2: keep cfg_ahb_clk enabled during runtime suspend Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 026/201] phy: qcom-snps-femto-v2: properly enable ref clock Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 027/201] media: staging: atomisp: select V4L2_FWNODE Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 028/201] i40e: Fix an NULL vs IS_ERR() bug for debugfs_create_dir() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 029/201] net: phy: marvell10g: fix 88x3310 power up Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 030/201] net: hns3: reconstruct function hclge_ets_validate() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 031/201] net: hns3: fix wrong bw weight of disabled tc issue Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 032/201] vxlan: move to its own directory Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 033/201] vxlan: calculate correct header length for GPE Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 034/201] phy: hisilicon: Fix an out of bounds check in hisi_inno_phy_probe() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 035/201] ethernet: atheros: fix return value check in atl1e_tso_csum() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 036/201] ipv6 addrconf: fix bug where deleting a mngtmpaddr can create a new temporary address Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 037/201] tcp: Reduce chance of collisions in inet6_hashfn() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 038/201] ice: Fix memory management in ice_ethtool_fdir.c Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 039/201] bonding: reset bonds flags when down link is P2P device Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 040/201] team: reset teams " Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 041/201] platform/x86: msi-laptop: Fix rfkill out-of-sync on MSI Wind U100 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 042/201] netfilter: nft_set_rbtree: fix overlap expiration walk Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 043/201] netfilter: nftables: add helper function to validate set element data Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 044/201] netfilter: nf_tables: skip immediate deactivate in _PREPARE_ERROR Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 045/201] netfilter: nf_tables: disallow rule addition to bound chain via NFTA_RULE_CHAIN_ID Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 046/201] net/sched: mqprio: refactor nlattr parsing to a separate function Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 047/201] net/sched: mqprio: add extack to mqprio_parse_nlattr() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 048/201] net/sched: mqprio: Add length check for TCA_MQPRIO_{MAX/MIN}_RATE64 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 049/201] benet: fix return value check in be_lancer_xmit_workarounds() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 050/201] tipc: check return value of pskb_trim() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 051/201] tipc: stop tipc crypto on failure in tipc_node_create Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 052/201] RDMA/mlx4: Make check for invalid flags stricter Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 053/201] drm/msm/dpu: drop enum dpu_core_perf_data_bus_id Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 054/201] drm/msm/adreno: Fix snapshot BINDLESS_DATA size Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 055/201] RDMA/mthca: Fix crash when polling CQ for shared QPs Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 056/201] drm/msm: Fix IS_ERR_OR_NULL() vs NULL check in a5xx_submit_in_rb() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 5.10 057/201] ASoC: fsl_spdif: Silence output on stop Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 058/201] block: Fix a source code comment in include/uapi/linux/blkzoned.h Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 059/201] dm raid: fix missing reconfig_mutex unlock in raid_ctr() error paths Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 060/201] dm raid: clean up four equivalent goto tags in raid_ctr() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 061/201] dm raid: protect md_stop() with reconfig_mutex Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 062/201] ata: pata_ns87415: mark ns87560_tf_read static Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 063/201] ring-buffer: Fix wrong stat of cpu_buffer->read Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 064/201] tracing: Fix warning in trace_buffered_event_disable() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 065/201] Revert "usb: gadget: tegra-xudc: Fix error check in tegra_xudc_powerdomain_init()" Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 066/201] USB: gadget: Fix the memory leak in raw_gadget driver Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 067/201] serial: qcom-geni: drop bogus runtime pm state update Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 068/201] serial: 8250_dw: Preserve original value of DLF register Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 069/201] serial: sifive: Fix sifive_serial_console_setup() section Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 070/201] USB: serial: option: support Quectel EM060K_128 Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 071/201] USB: serial: option: add Quectel EC200A module support Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 072/201] USB: serial: simple: add Kaufmann RKS+CAN VCP Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 073/201] USB: serial: simple: sort driver entries Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 074/201] can: gs_usb: gs_can_close(): add missing set of CAN state to CAN_STATE_STOPPED Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 075/201] Revert "usb: dwc3: core: Enable AutoRetry feature in the controller" Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 076/201] usb: dwc3: pci: skip BYT GPIO lookup table for hardwired phy Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 077/201] usb: dwc3: dont reset device side if dwc3 was configured as host-only Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 078/201] usb: ohci-at91: Fix the unhandle interrupt when resume Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 079/201] USB: quirks: add quirk for Focusrite Scarlett Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 080/201] usb: xhci-mtk: set the dma max_seg_size Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 081/201] Revert "usb: xhci: tegra: Fix error check" Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 082/201] Documentation: security-bugs.rst: update preferences when dealing with the linux-distros group Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 083/201] Documentation: security-bugs.rst: clarify CVE handling Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 084/201] staging: ks7010: potential buffer overflow in ks_wlan_set_encode_ext() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 085/201] tty: n_gsm: fix UAF in gsm_cleanup_mux Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 086/201] ALSA: hda/relatek: Enable Mute LED on HP 250 G8 Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 087/201] hwmon: (nct7802) Fix for temp6 (PECI1) processed even if PECI1 disabled Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 088/201] btrfs: check for commit error at btrfs_attach_transaction_barrier() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 089/201] file: always lock position for FMODE_ATOMIC_POS Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 090/201] nfsd: Remove incorrect check in nfsd4_validate_stateid Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 091/201] tpm_tis: Explicitly check for error code Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 092/201] irq-bcm6345-l1: Do not assume a fixed block to cpu mapping Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 093/201] irqchip/gic-v4.1: Properly lock VPEs when doing a directLPI invalidation Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 094/201] KVM: VMX: Invert handling of CR0.WP for EPT without unrestricted guest Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 095/201] KVM: VMX: Fold ept_update_paging_mode_cr0() back into vmx_set_cr0() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 096/201] KVM: nVMX: Do not clear CR3 load/store exiting bits if L1 wants em Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 097/201] KVM: VMX: Dont fudge CR0 and CR4 for restricted L2 guest Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 098/201] staging: rtl8712: Use constants from <linux/ieee80211.h> Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 099/201] staging: r8712: Fix memory leak in _r8712_init_xmit_priv() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 100/201] btrfs: check if the transaction was aborted at btrfs_wait_for_commit() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 101/201] virtio-net: fix race between set queues and probe Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 102/201] s390/dasd: fix hanging device after quiesce/resume Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 103/201] ASoC: wm8904: Fill the cache for WM8904_ADC_TEST_0 register Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 104/201] ceph: never send metrics if disable_send_metrics is set Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 105/201] dm cache policy smq: ensure IO doesnt prevent cleaner policy progress Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 106/201] drm/ttm: make ttm_bo_unpin more defensive Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 107/201] ACPI: processor: perflib: Use the "no limit" frequency QoS Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 108/201] ACPI: processor: perflib: Avoid updating frequency QoS unnecessarily Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 109/201] cpufreq: intel_pstate: Drop ACPI _PSS states table patching Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 110/201] selftests: mptcp: depend on SYN_COOKIES Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 111/201] io_uring: treat -EAGAIN for REQ_F_NOWAIT as final for io-wq Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 112/201] ASoC: cs42l51: fix driver to properly autoload with automatic module loading Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 113/201] kprobes/x86: Fix fall-through warnings for Clang Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 114/201] x86/kprobes: Do not decode opcode in resume_execution() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 115/201] x86/kprobes: Retrieve correct opcode for group instruction Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 116/201] x86/kprobes: Identify far indirect JMP correctly Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 5.10 117/201] x86/kprobes: Use int3 instead of debug trap for single-step Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 118/201] x86/kprobes: Fix to identify indirect jmp and others using range case Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 119/201] x86/kprobes: Move inline to the beginning of the kprobe_is_ss() declaration Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 120/201] x86/kprobes: Update kcb status flag after singlestepping Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 121/201] x86/kprobes: Fix JNG/JNLE emulation Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 122/201] io_uring: gate iowait schedule on having pending requests Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 123/201] perf: Fix function pointer case Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 124/201] loop: Select I/O scheduler none from inside add_disk() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 125/201] arm64: dts: imx8mn-var-som: add missing pull-up for onboard PHY reset pinmux Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 126/201] word-at-a-time: use the same return type for has_zero regardless of endianness Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 127/201] KVM: s390: fix sthyi error handling Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 128/201] wifi: cfg80211: Fix return value in scan logic Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 129/201] net/mlx5: DR, fix memory leak in mlx5dr_cmd_create_reformat_ctx Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 130/201] net/mlx5e: fix return value check in mlx5e_ipsec_remove_trailer() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 131/201] bpf: Add length check for SK_DIAG_BPF_STORAGE_REQ_MAP_FD parsing Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 132/201] rtnetlink: let rtnl_bridge_setlink checks IFLA_BRIDGE_MODE length Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 133/201] net: dsa: fix value check in bcm_sf2_sw_probe() Greg Kroah-Hartman
2023-08-09 10:42 ` Greg Kroah-Hartman [this message]
2023-08-09 10:42 ` [PATCH 5.10 135/201] net: sched: cls_u32: Fix match key mis-addressing Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 136/201] mISDN: hfcpci: Fix potential deadlock on &hc->lock Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 137/201] net: annotate data-races around sk->sk_max_pacing_rate Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 138/201] net: add missing READ_ONCE(sk->sk_rcvlowat) annotation Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 139/201] net: add missing READ_ONCE(sk->sk_sndbuf) annotation Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 140/201] net: add missing READ_ONCE(sk->sk_rcvbuf) annotation Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 141/201] net: add missing data-race annotations around sk->sk_peek_off Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 142/201] net: add missing data-race annotation for sk_ll_usec Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 143/201] net/sched: cls_u32: No longer copy tcf_result on update to avoid use-after-free Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 144/201] net/sched: cls_fw: " Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 145/201] net/sched: cls_route: " Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 146/201] bpf: sockmap: Remove preempt_disable in sock_map_sk_acquire Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 147/201] net: ll_temac: Switch to use dev_err_probe() helper Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 148/201] net: ll_temac: fix error checking of irq_of_parse_and_map() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 149/201] net: netsec: Ignore phy-mode on SynQuacer in DT mode Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 150/201] net: dcb: choose correct policy to parse DCB_ATTR_BCN Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 151/201] s390/qeth: Dont call dev_close/dev_open (DOWN/UP) Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 152/201] ip6mr: Fix skb_under_panic in ip6mr_cache_report() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 153/201] vxlan: Fix nexthop hash size Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 154/201] net/mlx5: fs_core: Make find_closest_ft more generic Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 155/201] net/mlx5: fs_core: Skip the FTs in the same FS_TYPE_PRIO_CHAINS fs_prio Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 156/201] tcp_metrics: fix addr_same() helper Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 157/201] tcp_metrics: annotate data-races around tm->tcpm_stamp Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 158/201] tcp_metrics: annotate data-races around tm->tcpm_lock Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 159/201] tcp_metrics: annotate data-races around tm->tcpm_vals[] Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 160/201] tcp_metrics: annotate data-races around tm->tcpm_net Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 161/201] tcp_metrics: fix data-race in tcpm_suck_dst() vs fastopen Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 162/201] scsi: zfcp: Defer fc_rport blocking until after ADISC response Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 163/201] libceph: fix potential hang in ceph_osdc_notify() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 164/201] USB: zaurus: Add ID for A-300/B-500/C-700 Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 165/201] ceph: defer stopping mdsc delayed_work Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 166/201] exfat: use kvmalloc_array/kvfree instead of kmalloc_array/kfree Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 167/201] exfat: release s_lock before calling dir_emit() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 168/201] mtd: spinand: toshiba: Fix ecc_get_status Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 169/201] mtd: rawnand: meson: fix OOB available bytes for ECC Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 170/201] arm64: dts: stratix10: fix incorrect I2C property for SCL signal Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 171/201] net: tun_chr_open(): set sk_uid from current_fsuid() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 172/201] net: tap_open(): " Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 173/201] bpf: Disable preemption in bpf_event_output Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 174/201] open: make RESOLVE_CACHED correctly test for O_TMPFILE Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 175/201] drm/ttm: check null pointer before accessing when swapping Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 176/201] file: reinstate f_pos locking optimization for regular files Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 5.10 177/201] tracing: Fix sleeping while atomic in kdb ftdump Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 178/201] fs/sysv: Null check to prevent null-ptr-deref bug Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 179/201] Bluetooth: L2CAP: Fix use-after-free in l2cap_sock_ready_cb Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 180/201] net: usbnet: Fix WARNING in usbnet_start_xmit/usb_submit_urb Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 181/201] fs: Protect reconfiguration of sb read-write from racing writes Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 182/201] ext2: Drop fragment support Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 183/201] mtd: rawnand: omap_elm: Fix incorrect type in assignment Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 184/201] mtd: rawnand: fsl_upm: Fix an off-by one test in fun_exec_op() Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 185/201] powerpc/mm/altmap: Fix altmap boundary check Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 186/201] selftests/rseq: check if libc rseq support is registered Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 187/201] selftests/rseq: Play nice with binaries statically linked against glibc 2.35+ Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 188/201] soundwire: bus: add better dev_dbg to track complete() calls Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 189/201] soundwire: bus: pm_runtime_request_resume on peripheral attachment Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 190/201] soundwire: fix enumeration completion Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 191/201] PM / wakeirq: support enabling wake-up irq after runtime_suspend called Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 192/201] PM: sleep: wakeirq: fix wake irq arming Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 193/201] exfat: speed up iterate/lookup by fixing start point of traversing cluster chain Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 194/201] exfat: support dynamic allocate bh for exfat_entry_set_cache Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 195/201] exfat: check if filename entries exceeds max filename length Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 196/201] mt76: move band capabilities in mt76_phy Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 197/201] mt76: mt7615: Fix fall-through warnings for Clang Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 198/201] wifi: mt76: mt7615: do not advertise 5 GHz on first phy of MT7615D (DBDC) Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 199/201] ARM: dts: imx: add usb alias Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 200/201] ARM: dts: imx6sll: fixup of operating points Greg Kroah-Hartman
2023-08-09 10:43 ` [PATCH 5.10 201/201] ARM: dts: nxp/imx6sll: fix wrong property name in usbphy node Greg Kroah-Hartman
2023-08-09 13:43 ` [PATCH 5.10 000/201] 5.10.190-rc1 review Joel Fernandes
2023-08-09 19:11 ` Florian Fainelli
2023-08-10 16:01 ` Guenter Roeck
2023-08-11  6:51 ` Naresh Kamboju
2023-08-14 14:16 ` Thierry Reding

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230809103648.212376054@linuxfoundation.org \
    --to=gregkh@linuxfoundation.org \
    --cc=acme@redhat.com \
    --cc=adrian.hunter@intel.com \
    --cc=alexander.shishkin@linux.intel.com \
    --cc=georgmueller@gmx.net \
    --cc=irogers@google.com \
    --cc=jolsa@kernel.org \
    --cc=mark.rutland@arm.com \
    --cc=mhiramat@kernel.org \
    --cc=mingo@redhat.com \
    --cc=namhyung@kernel.org \
    --cc=patches@lists.linux.dev \
    --cc=peterz@infradead.org \
    --cc=sashal@kernel.org \
    --cc=stable@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).